<script setup>
import TLabel from "@/components/ui/TLabel.vue";

const emits = defineEmits(["click"])

const click = (...allArgs) => {
	emits("click", ...allArgs)
}

</script>

<template>
	<TLabel class="text-xs" @click.prevent="click"><slot></slot></TLabel>
</template>

<style scoped>
.p-chip {
	padding: 0.1em 0.8em;
}
</style>